Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
236.0.0.0
Broadcast address
239.255.255.255
First usable
236.0.0.1
Last usable
239.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC000000 · Integer 3959422976 to 4026531839
Reverse DNS zones
236.in-addr.arpa
237.in-addr.arpa
238.in-addr.arpa
239.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.00000000.00000000.00000000236.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network11101100.00000000.00000000.00000000236.0.0.0
Broadcast11101111.11111111.11111111.11111111239.255.255.255
Split into smaller subnets/15

236.0.0.0/6 makes 512 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.0.0.0/15236.0.0.1 to 236.1.255.254236.1.255.255131,070
2236.2.0.0/15236.2.0.1 to 236.3.255.254236.3.255.255131,070
3236.4.0.0/15236.4.0.1 to 236.5.255.254236.5.255.255131,070
4236.6.0.0/15236.6.0.1 to 236.7.255.254236.7.255.255131,070
5236.8.0.0/15236.8.0.1 to 236.9.255.254236.9.255.255131,070
6236.10.0.0/15236.10.0.1 to 236.11.255.254236.11.255.255131,070
7236.12.0.0/15236.12.0.1 to 236.13.255.254236.13.255.255131,070
8236.14.0.0/15236.14.0.1 to 236.15.255.254236.15.255.255131,070
9236.16.0.0/15236.16.0.1 to 236.17.255.254236.17.255.255131,070
10236.18.0.0/15236.18.0.1 to 236.19.255.254236.19.255.255131,070
11236.20.0.0/15236.20.0.1 to 236.21.255.254236.21.255.255131,070
12236.22.0.0/15236.22.0.1 to 236.23.255.254236.23.255.255131,070
13236.24.0.0/15236.24.0.1 to 236.25.255.254236.25.255.255131,070
14236.26.0.0/15236.26.0.1 to 236.27.255.254236.27.255.255131,070
15236.28.0.0/15236.28.0.1 to 236.29.255.254236.29.255.255131,070
16236.30.0.0/15236.30.0.1 to 236.31.255.254236.31.255.255131,070
17236.32.0.0/15236.32.0.1 to 236.33.255.254236.33.255.255131,070
18236.34.0.0/15236.34.0.1 to 236.35.255.254236.35.255.255131,070
19236.36.0.0/15236.36.0.1 to 236.37.255.254236.37.255.255131,070
20236.38.0.0/15236.38.0.1 to 236.39.255.254236.39.255.255131,070
21236.40.0.0/15236.40.0.1 to 236.41.255.254236.41.255.255131,070
22236.42.0.0/15236.42.0.1 to 236.43.255.254236.43.255.255131,070
23236.44.0.0/15236.44.0.1 to 236.45.255.254236.45.255.255131,070
24236.46.0.0/15236.46.0.1 to 236.47.255.254236.47.255.255131,070
25236.48.0.0/15236.48.0.1 to 236.49.255.254236.49.255.255131,070
26236.50.0.0/15236.50.0.1 to 236.51.255.254236.51.255.255131,070
27236.52.0.0/15236.52.0.1 to 236.53.255.254236.53.255.255131,070
28236.54.0.0/15236.54.0.1 to 236.55.255.254236.55.255.255131,070
29236.56.0.0/15236.56.0.1 to 236.57.255.254236.57.255.255131,070
30236.58.0.0/15236.58.0.1 to 236.59.255.254236.59.255.255131,070
31236.60.0.0/15236.60.0.1 to 236.61.255.254236.61.255.255131,070
32236.62.0.0/15236.62.0.1 to 236.63.255.254236.63.255.255131,070
33236.64.0.0/15236.64.0.1 to 236.65.255.254236.65.255.255131,070
34236.66.0.0/15236.66.0.1 to 236.67.255.254236.67.255.255131,070
35236.68.0.0/15236.68.0.1 to 236.69.255.254236.69.255.255131,070
36236.70.0.0/15236.70.0.1 to 236.71.255.254236.71.255.255131,070
37236.72.0.0/15236.72.0.1 to 236.73.255.254236.73.255.255131,070
38236.74.0.0/15236.74.0.1 to 236.75.255.254236.75.255.255131,070
39236.76.0.0/15236.76.0.1 to 236.77.255.254236.77.255.255131,070
40236.78.0.0/15236.78.0.1 to 236.79.255.254236.79.255.255131,070
41236.80.0.0/15236.80.0.1 to 236.81.255.254236.81.255.255131,070
42236.82.0.0/15236.82.0.1 to 236.83.255.254236.83.255.255131,070
43236.84.0.0/15236.84.0.1 to 236.85.255.254236.85.255.255131,070
44236.86.0.0/15236.86.0.1 to 236.87.255.254236.87.255.255131,070
45236.88.0.0/15236.88.0.1 to 236.89.255.254236.89.255.255131,070
46236.90.0.0/15236.90.0.1 to 236.91.255.254236.91.255.255131,070
47236.92.0.0/15236.92.0.1 to 236.93.255.254236.93.255.255131,070
48236.94.0.0/15236.94.0.1 to 236.95.255.254236.95.255.255131,070
49236.96.0.0/15236.96.0.1 to 236.97.255.254236.97.255.255131,070
50236.98.0.0/15236.98.0.1 to 236.99.255.254236.99.255.255131,070
51236.100.0.0/15236.100.0.1 to 236.101.255.254236.101.255.255131,070
52236.102.0.0/15236.102.0.1 to 236.103.255.254236.103.255.255131,070
53236.104.0.0/15236.104.0.1 to 236.105.255.254236.105.255.255131,070
54236.106.0.0/15236.106.0.1 to 236.107.255.254236.107.255.255131,070
55236.108.0.0/15236.108.0.1 to 236.109.255.254236.109.255.255131,070
56236.110.0.0/15236.110.0.1 to 236.111.255.254236.111.255.255131,070
57236.112.0.0/15236.112.0.1 to 236.113.255.254236.113.255.255131,070
58236.114.0.0/15236.114.0.1 to 236.115.255.254236.115.255.255131,070
59236.116.0.0/15236.116.0.1 to 236.117.255.254236.117.255.255131,070
60236.118.0.0/15236.118.0.1 to 236.119.255.254236.119.255.255131,070
61236.120.0.0/15236.120.0.1 to 236.121.255.254236.121.255.255131,070
62236.122.0.0/15236.122.0.1 to 236.123.255.254236.123.255.255131,070
63236.124.0.0/15236.124.0.1 to 236.125.255.254236.125.255.255131,070
64236.126.0.0/15236.126.0.1 to 236.127.255.254236.127.255.255131,070
65236.128.0.0/15236.128.0.1 to 236.129.255.254236.129.255.255131,070
66236.130.0.0/15236.130.0.1 to 236.131.255.254236.131.255.255131,070
67236.132.0.0/15236.132.0.1 to 236.133.255.254236.133.255.255131,070
68236.134.0.0/15236.134.0.1 to 236.135.255.254236.135.255.255131,070
69236.136.0.0/15236.136.0.1 to 236.137.255.254236.137.255.255131,070
70236.138.0.0/15236.138.0.1 to 236.139.255.254236.139.255.255131,070
71236.140.0.0/15236.140.0.1 to 236.141.255.254236.141.255.255131,070
72236.142.0.0/15236.142.0.1 to 236.143.255.254236.143.255.255131,070
73236.144.0.0/15236.144.0.1 to 236.145.255.254236.145.255.255131,070
74236.146.0.0/15236.146.0.1 to 236.147.255.254236.147.255.255131,070
75236.148.0.0/15236.148.0.1 to 236.149.255.254236.149.255.255131,070
76236.150.0.0/15236.150.0.1 to 236.151.255.254236.151.255.255131,070
77236.152.0.0/15236.152.0.1 to 236.153.255.254236.153.255.255131,070
78236.154.0.0/15236.154.0.1 to 236.155.255.254236.155.255.255131,070
79236.156.0.0/15236.156.0.1 to 236.157.255.254236.157.255.255131,070
80236.158.0.0/15236.158.0.1 to 236.159.255.254236.159.255.255131,070
81236.160.0.0/15236.160.0.1 to 236.161.255.254236.161.255.255131,070
82236.162.0.0/15236.162.0.1 to 236.163.255.254236.163.255.255131,070
83236.164.0.0/15236.164.0.1 to 236.165.255.254236.165.255.255131,070
84236.166.0.0/15236.166.0.1 to 236.167.255.254236.167.255.255131,070
85236.168.0.0/15236.168.0.1 to 236.169.255.254236.169.255.255131,070
86236.170.0.0/15236.170.0.1 to 236.171.255.254236.171.255.255131,070
87236.172.0.0/15236.172.0.1 to 236.173.255.254236.173.255.255131,070
88236.174.0.0/15236.174.0.1 to 236.175.255.254236.175.255.255131,070
89236.176.0.0/15236.176.0.1 to 236.177.255.254236.177.255.255131,070
90236.178.0.0/15236.178.0.1 to 236.179.255.254236.179.255.255131,070
91236.180.0.0/15236.180.0.1 to 236.181.255.254236.181.255.255131,070
92236.182.0.0/15236.182.0.1 to 236.183.255.254236.183.255.255131,070
93236.184.0.0/15236.184.0.1 to 236.185.255.254236.185.255.255131,070
94236.186.0.0/15236.186.0.1 to 236.187.255.254236.187.255.255131,070
95236.188.0.0/15236.188.0.1 to 236.189.255.254236.189.255.255131,070
96236.190.0.0/15236.190.0.1 to 236.191.255.254236.191.255.255131,070
97236.192.0.0/15236.192.0.1 to 236.193.255.254236.193.255.255131,070
98236.194.0.0/15236.194.0.1 to 236.195.255.254236.195.255.255131,070
99236.196.0.0/15236.196.0.1 to 236.197.255.254236.197.255.255131,070
100236.198.0.0/15236.198.0.1 to 236.199.255.254236.199.255.255131,070
101236.200.0.0/15236.200.0.1 to 236.201.255.254236.201.255.255131,070
102236.202.0.0/15236.202.0.1 to 236.203.255.254236.203.255.255131,070
103236.204.0.0/15236.204.0.1 to 236.205.255.254236.205.255.255131,070
104236.206.0.0/15236.206.0.1 to 236.207.255.254236.207.255.255131,070
105236.208.0.0/15236.208.0.1 to 236.209.255.254236.209.255.255131,070
106236.210.0.0/15236.210.0.1 to 236.211.255.254236.211.255.255131,070
107236.212.0.0/15236.212.0.1 to 236.213.255.254236.213.255.255131,070
108236.214.0.0/15236.214.0.1 to 236.215.255.254236.215.255.255131,070
109236.216.0.0/15236.216.0.1 to 236.217.255.254236.217.255.255131,070
110236.218.0.0/15236.218.0.1 to 236.219.255.254236.219.255.255131,070
111236.220.0.0/15236.220.0.1 to 236.221.255.254236.221.255.255131,070
112236.222.0.0/15236.222.0.1 to 236.223.255.254236.223.255.255131,070
113236.224.0.0/15236.224.0.1 to 236.225.255.254236.225.255.255131,070
114236.226.0.0/15236.226.0.1 to 236.227.255.254236.227.255.255131,070
115236.228.0.0/15236.228.0.1 to 236.229.255.254236.229.255.255131,070
116236.230.0.0/15236.230.0.1 to 236.231.255.254236.231.255.255131,070
117236.232.0.0/15236.232.0.1 to 236.233.255.254236.233.255.255131,070
118236.234.0.0/15236.234.0.1 to 236.235.255.254236.235.255.255131,070
119236.236.0.0/15236.236.0.1 to 236.237.255.254236.237.255.255131,070
120236.238.0.0/15236.238.0.1 to 236.239.255.254236.239.255.255131,070
121236.240.0.0/15236.240.0.1 to 236.241.255.254236.241.255.255131,070
122236.242.0.0/15236.242.0.1 to 236.243.255.254236.243.255.255131,070
123236.244.0.0/15236.244.0.1 to 236.245.255.254236.245.255.255131,070
124236.246.0.0/15236.246.0.1 to 236.247.255.254236.247.255.255131,070
125236.248.0.0/15236.248.0.1 to 236.249.255.254236.249.255.255131,070
126236.250.0.0/15236.250.0.1 to 236.251.255.254236.251.255.255131,070
127236.252.0.0/15236.252.0.1 to 236.253.255.254236.253.255.255131,070
128236.254.0.0/15236.254.0.1 to 236.255.255.254236.255.255.255131,070
129237.0.0.0/15237.0.0.1 to 237.1.255.254237.1.255.255131,070
130237.2.0.0/15237.2.0.1 to 237.3.255.254237.3.255.255131,070
131237.4.0.0/15237.4.0.1 to 237.5.255.254237.5.255.255131,070
132237.6.0.0/15237.6.0.1 to 237.7.255.254237.7.255.255131,070
133237.8.0.0/15237.8.0.1 to 237.9.255.254237.9.255.255131,070
134237.10.0.0/15237.10.0.1 to 237.11.255.254237.11.255.255131,070
135237.12.0.0/15237.12.0.1 to 237.13.255.254237.13.255.255131,070
136237.14.0.0/15237.14.0.1 to 237.15.255.254237.15.255.255131,070
137237.16.0.0/15237.16.0.1 to 237.17.255.254237.17.255.255131,070
138237.18.0.0/15237.18.0.1 to 237.19.255.254237.19.255.255131,070
139237.20.0.0/15237.20.0.1 to 237.21.255.254237.21.255.255131,070
140237.22.0.0/15237.22.0.1 to 237.23.255.254237.23.255.255131,070
141237.24.0.0/15237.24.0.1 to 237.25.255.254237.25.255.255131,070
142237.26.0.0/15237.26.0.1 to 237.27.255.254237.27.255.255131,070
143237.28.0.0/15237.28.0.1 to 237.29.255.254237.29.255.255131,070
144237.30.0.0/15237.30.0.1 to 237.31.255.254237.31.255.255131,070
145237.32.0.0/15237.32.0.1 to 237.33.255.254237.33.255.255131,070
146237.34.0.0/15237.34.0.1 to 237.35.255.254237.35.255.255131,070
147237.36.0.0/15237.36.0.1 to 237.37.255.254237.37.255.255131,070
148237.38.0.0/15237.38.0.1 to 237.39.255.254237.39.255.255131,070
149237.40.0.0/15237.40.0.1 to 237.41.255.254237.41.255.255131,070
150237.42.0.0/15237.42.0.1 to 237.43.255.254237.43.255.255131,070
151237.44.0.0/15237.44.0.1 to 237.45.255.254237.45.255.255131,070
152237.46.0.0/15237.46.0.1 to 237.47.255.254237.47.255.255131,070
153237.48.0.0/15237.48.0.1 to 237.49.255.254237.49.255.255131,070
154237.50.0.0/15237.50.0.1 to 237.51.255.254237.51.255.255131,070
155237.52.0.0/15237.52.0.1 to 237.53.255.254237.53.255.255131,070
156237.54.0.0/15237.54.0.1 to 237.55.255.254237.55.255.255131,070
157237.56.0.0/15237.56.0.1 to 237.57.255.254237.57.255.255131,070
158237.58.0.0/15237.58.0.1 to 237.59.255.254237.59.255.255131,070
159237.60.0.0/15237.60.0.1 to 237.61.255.254237.61.255.255131,070
160237.62.0.0/15237.62.0.1 to 237.63.255.254237.63.255.255131,070
161237.64.0.0/15237.64.0.1 to 237.65.255.254237.65.255.255131,070
162237.66.0.0/15237.66.0.1 to 237.67.255.254237.67.255.255131,070
163237.68.0.0/15237.68.0.1 to 237.69.255.254237.69.255.255131,070
164237.70.0.0/15237.70.0.1 to 237.71.255.254237.71.255.255131,070
165237.72.0.0/15237.72.0.1 to 237.73.255.254237.73.255.255131,070
166237.74.0.0/15237.74.0.1 to 237.75.255.254237.75.255.255131,070
167237.76.0.0/15237.76.0.1 to 237.77.255.254237.77.255.255131,070
168237.78.0.0/15237.78.0.1 to 237.79.255.254237.79.255.255131,070
169237.80.0.0/15237.80.0.1 to 237.81.255.254237.81.255.255131,070
170237.82.0.0/15237.82.0.1 to 237.83.255.254237.83.255.255131,070
171237.84.0.0/15237.84.0.1 to 237.85.255.254237.85.255.255131,070
172237.86.0.0/15237.86.0.1 to 237.87.255.254237.87.255.255131,070
173237.88.0.0/15237.88.0.1 to 237.89.255.254237.89.255.255131,070
174237.90.0.0/15237.90.0.1 to 237.91.255.254237.91.255.255131,070
175237.92.0.0/15237.92.0.1 to 237.93.255.254237.93.255.255131,070
176237.94.0.0/15237.94.0.1 to 237.95.255.254237.95.255.255131,070
177237.96.0.0/15237.96.0.1 to 237.97.255.254237.97.255.255131,070
178237.98.0.0/15237.98.0.1 to 237.99.255.254237.99.255.255131,070
179237.100.0.0/15237.100.0.1 to 237.101.255.254237.101.255.255131,070
180237.102.0.0/15237.102.0.1 to 237.103.255.254237.103.255.255131,070
181237.104.0.0/15237.104.0.1 to 237.105.255.254237.105.255.255131,070
182237.106.0.0/15237.106.0.1 to 237.107.255.254237.107.255.255131,070
183237.108.0.0/15237.108.0.1 to 237.109.255.254237.109.255.255131,070
184237.110.0.0/15237.110.0.1 to 237.111.255.254237.111.255.255131,070
185237.112.0.0/15237.112.0.1 to 237.113.255.254237.113.255.255131,070
186237.114.0.0/15237.114.0.1 to 237.115.255.254237.115.255.255131,070
187237.116.0.0/15237.116.0.1 to 237.117.255.254237.117.255.255131,070
188237.118.0.0/15237.118.0.1 to 237.119.255.254237.119.255.255131,070
189237.120.0.0/15237.120.0.1 to 237.121.255.254237.121.255.255131,070
190237.122.0.0/15237.122.0.1 to 237.123.255.254237.123.255.255131,070
191237.124.0.0/15237.124.0.1 to 237.125.255.254237.125.255.255131,070
192237.126.0.0/15237.126.0.1 to 237.127.255.254237.127.255.255131,070
193237.128.0.0/15237.128.0.1 to 237.129.255.254237.129.255.255131,070
194237.130.0.0/15237.130.0.1 to 237.131.255.254237.131.255.255131,070
195237.132.0.0/15237.132.0.1 to 237.133.255.254237.133.255.255131,070
196237.134.0.0/15237.134.0.1 to 237.135.255.254237.135.255.255131,070
197237.136.0.0/15237.136.0.1 to 237.137.255.254237.137.255.255131,070
198237.138.0.0/15237.138.0.1 to 237.139.255.254237.139.255.255131,070
199237.140.0.0/15237.140.0.1 to 237.141.255.254237.141.255.255131,070
200237.142.0.0/15237.142.0.1 to 237.143.255.254237.143.255.255131,070
201237.144.0.0/15237.144.0.1 to 237.145.255.254237.145.255.255131,070
202237.146.0.0/15237.146.0.1 to 237.147.255.254237.147.255.255131,070
203237.148.0.0/15237.148.0.1 to 237.149.255.254237.149.255.255131,070
204237.150.0.0/15237.150.0.1 to 237.151.255.254237.151.255.255131,070
205237.152.0.0/15237.152.0.1 to 237.153.255.254237.153.255.255131,070
206237.154.0.0/15237.154.0.1 to 237.155.255.254237.155.255.255131,070
207237.156.0.0/15237.156.0.1 to 237.157.255.254237.157.255.255131,070
208237.158.0.0/15237.158.0.1 to 237.159.255.254237.159.255.255131,070
209237.160.0.0/15237.160.0.1 to 237.161.255.254237.161.255.255131,070
210237.162.0.0/15237.162.0.1 to 237.163.255.254237.163.255.255131,070
211237.164.0.0/15237.164.0.1 to 237.165.255.254237.165.255.255131,070
212237.166.0.0/15237.166.0.1 to 237.167.255.254237.167.255.255131,070
213237.168.0.0/15237.168.0.1 to 237.169.255.254237.169.255.255131,070
214237.170.0.0/15237.170.0.1 to 237.171.255.254237.171.255.255131,070
215237.172.0.0/15237.172.0.1 to 237.173.255.254237.173.255.255131,070
216237.174.0.0/15237.174.0.1 to 237.175.255.254237.175.255.255131,070
217237.176.0.0/15237.176.0.1 to 237.177.255.254237.177.255.255131,070
218237.178.0.0/15237.178.0.1 to 237.179.255.254237.179.255.255131,070
219237.180.0.0/15237.180.0.1 to 237.181.255.254237.181.255.255131,070
220237.182.0.0/15237.182.0.1 to 237.183.255.254237.183.255.255131,070
221237.184.0.0/15237.184.0.1 to 237.185.255.254237.185.255.255131,070
222237.186.0.0/15237.186.0.1 to 237.187.255.254237.187.255.255131,070
223237.188.0.0/15237.188.0.1 to 237.189.255.254237.189.255.255131,070
224237.190.0.0/15237.190.0.1 to 237.191.255.254237.191.255.255131,070
225237.192.0.0/15237.192.0.1 to 237.193.255.254237.193.255.255131,070
226237.194.0.0/15237.194.0.1 to 237.195.255.254237.195.255.255131,070
227237.196.0.0/15237.196.0.1 to 237.197.255.254237.197.255.255131,070
228237.198.0.0/15237.198.0.1 to 237.199.255.254237.199.255.255131,070
229237.200.0.0/15237.200.0.1 to 237.201.255.254237.201.255.255131,070
230237.202.0.0/15237.202.0.1 to 237.203.255.254237.203.255.255131,070
231237.204.0.0/15237.204.0.1 to 237.205.255.254237.205.255.255131,070
232237.206.0.0/15237.206.0.1 to 237.207.255.254237.207.255.255131,070
233237.208.0.0/15237.208.0.1 to 237.209.255.254237.209.255.255131,070
234237.210.0.0/15237.210.0.1 to 237.211.255.254237.211.255.255131,070
235237.212.0.0/15237.212.0.1 to 237.213.255.254237.213.255.255131,070
236237.214.0.0/15237.214.0.1 to 237.215.255.254237.215.255.255131,070
237237.216.0.0/15237.216.0.1 to 237.217.255.254237.217.255.255131,070
238237.218.0.0/15237.218.0.1 to 237.219.255.254237.219.255.255131,070
239237.220.0.0/15237.220.0.1 to 237.221.255.254237.221.255.255131,070
240237.222.0.0/15237.222.0.1 to 237.223.255.254237.223.255.255131,070
241237.224.0.0/15237.224.0.1 to 237.225.255.254237.225.255.255131,070
242237.226.0.0/15237.226.0.1 to 237.227.255.254237.227.255.255131,070
243237.228.0.0/15237.228.0.1 to 237.229.255.254237.229.255.255131,070
244237.230.0.0/15237.230.0.1 to 237.231.255.254237.231.255.255131,070
245237.232.0.0/15237.232.0.1 to 237.233.255.254237.233.255.255131,070
246237.234.0.0/15237.234.0.1 to 237.235.255.254237.235.255.255131,070
247237.236.0.0/15237.236.0.1 to 237.237.255.254237.237.255.255131,070
248237.238.0.0/15237.238.0.1 to 237.239.255.254237.239.255.255131,070
249237.240.0.0/15237.240.0.1 to 237.241.255.254237.241.255.255131,070
250237.242.0.0/15237.242.0.1 to 237.243.255.254237.243.255.255131,070
251237.244.0.0/15237.244.0.1 to 237.245.255.254237.245.255.255131,070
252237.246.0.0/15237.246.0.1 to 237.247.255.254237.247.255.255131,070
253237.248.0.0/15237.248.0.1 to 237.249.255.254237.249.255.255131,070
254237.250.0.0/15237.250.0.1 to 237.251.255.254237.251.255.255131,070
255237.252.0.0/15237.252.0.1 to 237.253.255.254237.253.255.255131,070
256237.254.0.0/15237.254.0.1 to 237.255.255.254237.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses